Subject: Re: FVWM: Fvwm IconBoxes patch

From: Tim Phipps <[email-masked]>
Date: Thu, 9 Oct 1997 16:57:32 +0100 (BST)

(Sorry about the previous content-free message)

> The iconboxes patch is now available

Nice one!  A couple of questions though:

1) The man page I can use an X-geometry spec and gives:
   IconBox   -80x200-1-1
   as an example.  Is the first "-" a typo?  I've used =80x200-1-1 and it works.
   
2) I took me a time to work out that multiple IconGrids are necessary when using
   multiple IconBoxes.  It makes for very long lines in my setup:
   Style * IconBox =314x100+6-150, IconGrid 64 64, IconBox =314x100+6-250, 
IconGrid 64 64, IconBox =314x100+6-350, IconGrid 64 64, IconBox =314x100+6-450, 
IconGrid 64 64, IconBox =314x100+6-550, IconGrid 64 64, IconBox =314x100+6-650, 
IconGrid 64 64, IconBox =314x100+6-750, IconGrid 64 64, IconBox =314x100+6-850, 
IconGrid 64 64

3) Are you working on making the placement direction controllable?  The above
   line is only there so I can have icons going upwards.  If you are could you
   make it possible to bottom align the icons if they're going upwards?

Ta for the patch anyway,
Tim.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Thu, 09 Oct 1997 12:40:29 -0400

>    as an example.  Is the first "-" a typo?  I've used =80x200-1-1 and it wor

Its a typo.  I'll make a note to fix it in version 1.1, if a real need
for 1.1 arises.  The "=" isn't necessary, "80x200-1-1" will do.

> IconGrid 64 64, IconBox =314x100+6-750, IconGrid 64 64, IconBox =314x100+6-85

Sorry, obviously you need the IconGravity? patch.  In 1.1, I'll try to
make it clearer.   The IconGrid only  affects the 1 preceeding IconBox
(as you found).

>    make it possible to bottom align the icons if they're going upwards?

I too want to fill my primary  IconBox from the  bottom up, so I guess
its just a matter of time before I get around  to it.  If someone else
wants to jump  in on this,  let me  know, and  I'll do something  else
during my evenings  and weekends.  I  really would like to unravel the
focus code.

--
Dan Espen                                    Phone: (732) 699-5570
[email-masked]
444 Hoes Lane  Room RRC 1C-214
Piscataway, NJ 08854
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Fri, 10 Oct 1997 08:45:59 -0400

> 3) Are  you working on making  the placement direction controllable?
> The above line is only there so I can  have icons going upwards.  If
> you are  could you make  it  possible to  bottom align the  icons if
> they're going upwards?

I started work on it last night.  Stay tuned.

The syntax is:

Style "*" IconFill arg1 arg2

The first arg can be:

b | bot | bottom | t | top

The second arg can be:

l | lft | left | r | rgt | right

---

From: [email-masked]
Date: Fri, 24 Oct 1997 09:10:31 -0400

Version 1.2 of the "Iconboxes patch" is available at:

ftp://ftp.hpc.uh.edu/pub/fvwm/version-2/unofficial_patches

This patch  implements multiple icon  boxes per style, icon  grids and
full icon fill direction control.

Changes in version 1.2:

1) When filling right to left, icons used to go outside left boundary.

2) Now icons can now be filled in any  direction, creating either rows
or columns.

[email-masked]